#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    host: 111.204.228.227
    port: 16379
    password:  123456
    database: 1
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
    #  commandTimeout: 5000
  datasource:
    # MySql
    url: jdbc:mysql://111.204.228.227:13306/shzhjcyjptywxt?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
#    username: root
#    password: root
    username: root
    password: 3edc#4rfv$

    # PostgreSQL
    #url: jdbc:postgresql://127.0.0.1:5432/bladex_boot
    #username: postgres
    #password: 123456
    # Oracle
    #url: jdbc:oracle:thin:@127.0.0.1:1521:orcl
    #username: BLADEX_BOOT
    #password: BLADEX_BOOT
    # SqlServer
    #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex_boot
    #username: bladex_boot
    #password: bladex_boot
    # DaMeng
#    url: jdbc:dm://172.1.0.215:5236/ZGXXXT?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
#    username: ZGXXXT
#    password: ZGXXXT2022

  kafka:
    bootstrap-servers: 111.204.228.227:19092
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      group-id: blade-kafka
      # 手动提交
      enable-auto-commit: false
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session.timeout.ms: 60000
    listener:
      log-container-config: false
      concurrency: 5
      # 手动提交
      ack-mode: manual_immediate

#第三方登陆
social:
  enabled: true
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##redis服务地址
    address: redis://111.204.228.227:16379
    password:  123456
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html

